<?php
/*
============================================================================================================================
Backdrop - backdrop/framework.php
============================================================================================================================
This backdrop/framework.php uses an array_map(); feature that allows you add require file automatically without the need to 
type lines and lines of require_once();. This way it will be easier to maintain and only use the files are needed.

@package        Backdrop Framework
@copyright      Copyright (C) 2018. Benjamin Lu
@license        GNU General Public License v2 or later (https://www.gnu.org/licenses/gpl-2.0.html)
@author         Benjamin Lu (https://benjlu.com)
============================================================================================================================
*/

/*
============================================================================================================================
Table of Content
============================================================================================================================
 1.0 - array_map ($config)
 2.0 - array_map ($core)
 3.0 - array_map ($customize)
 4.0 - array_map ($scripts)
 5.0 - array_map ($general)
 6.0 - array_map ($loop)
 7.0 - array_map ($menu)
 8.0 - array_map ($misc)
 9.0 - array_map ($sidebar)
============================================================================================================================
*/

/*
============================================================================================================================
 1.0 - array_map ($config)
============================================================================================================================
*/
array_map(function($config) {
    require_once(get_parent_theme_file_path("vendor/benlumia007/backdrop-core/config/{$config}.php"));
}, [
    'functions-scripts',
    'functions-setup',
    'functions-sidebars',
]);

/*
============================================================================================================================
 2.0 - array_map ($core)
============================================================================================================================
*/
array_map(function($core) {
    require_once(get_parent_theme_file_path("vendor/benlumia007/backdrop-core/core/{$core}.php"));
}, [
    'custom-background',
    'custom-header',
    'custom-logo'
]);

/*
============================================================================================================================
 3.0 - array_map ($customize)
============================================================================================================================
*/
array_map(function($customize) {
    require_once(get_parent_theme_file_path("vendor/benlumia007/backdrop-core/customize/{$customize}.php"));
}, [
    'functions-layouts'
]);

/*
============================================================================================================================
 4.0 - array_map ($scripts)
============================================================================================================================
*/

/*
============================================================================================================================
 5.0 - array_map ($general)
============================================================================================================================
*/
array_map(function($general) {
    require_once(get_parent_theme_file_path("vendor/benlumia007/backdrop-core/general/{$general}.php"));
}, [
    'functions-entry',
    'functions-template'
]);

/*
============================================================================================================================
 6.0 - array_map ($loop)
============================================================================================================================
*/
array_map(function($loop) {
    require_once(get_parent_theme_file_path("vendor/benlumia007/backdrop-core/loop/{$loop}.php"));
}, [
    'main-query'
]);

/*
============================================================================================================================
 7.0 - array_map ($menu)
============================================================================================================================
*/
array_map(function($menu) {
    require_once(get_parent_theme_file_path("vendor/benlumia007/backdrop-core/menu/{$menu}.php"));
}, [
    'primary',
    'secondary',
    'social'
]);

/*
============================================================================================================================
 8.0 - array_map ($misc)
============================================================================================================================
*/
array_map(function($misc) {
    require_once(get_parent_theme_file_path("vendor/benlumia007/backdrop-core/misc/{$misc}.php"));
}, [
    'functions-head',
    'functions-filters'
]);

/*
============================================================================================================================
 9.0 - array_map ($sidebar)
============================================================================================================================
*/
array_map(function($sidebar) {
    require_once(get_parent_theme_file_path("vendor/benlumia007/backdrop-core/sidebar/{$sidebar}.php"));
}, [
    'custom',
    'primary',
    'secondary'
]);